var gulp = require('gulp');
var babel = require('gulp-babel');
var log4js = require('log4js');
var logger = log4js.getLogger('gulpfile');

gulp.task('default', function() {
  return gulp.src('src/*.js')
    .pipe(babel())
    .pipe(gulp.dest('bin'));
});

var watcher = gulp.watch('src/*.js', ['default']);
watcher.on('change', function(event) {
  logger.info('File ' + event.path + ' was ' + event.type + ', running tasks...');
});